with Ada.Text_IO;

package body HelloWorld is

    procedure Command_Label_Mhelloworld (Intensity : in Real_0_To_1; Data : in System.Address) is
       Values : Command_Label_Mhelloworld_Data;
       for Values'Address use Data;
    begin
--        Ada.Text_IO.Put_Line ("Command_Label_Mhelloworld ->");
--        Ada.Text_IO.Put_Line ("Intensity : " & Real_0_To_1'Image (Intensity));
--        for I in Command_Label_Mhelloworld_Component loop
--            Ada.Text_IO.Put_Line ("Data (" & Command_Label_Mhelloworld_Component'image(I) & ")" & Real'Image (Values(I)));
--        end loop;
        if Values(Value) = 1.0 then
            Ada.Text_IO.Put ("Hello World !");
        end if;
   end Command_Label_Mhelloworld;

end HelloWorld;